Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class Groovydoc

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.codehaus.groovy.ant.Groovydoc

    class Groovydoc
    extends Task

Access to the GroovyDoc tool from Ant.

version:
  $Id$

Constructor Summary
`Groovydoc()`

Method Summary
`LinkArgument` | `createLink()` Create link to Javadoc/GroovyDoc output at the given URL.
`void` | `execute()`
`void` | `setAuthor(boolean author)` If set to false, author will not be displayed.
`void` | `setDestdir(File dir)` Set the directory where the Groovydoc output will be generated.
`void` | `setDoctitle(String htmlTitle)` Set the title for the overview page.
`void` | `setFooter(String footer)` Set the footer to place at the bottom of each generated html page.
`void` | `setHeader(String header)` Specifies the header text to be placed at the top of each output file.
`void` | `setOverview(def file)` Specify the file containing the overview to be included in the generated documentation.
`void` | `setPackage(boolean b)` Indicate whether only package, protected and public classes and members are to be included in the scope processed.
`void` | `setPackagenames(String packages)` Set the package names to be processed.
`void` | `setPrivate(boolean b)` Indicate whether all classes and members are to be included in the scope processed.
`void` | `setProtected(boolean b)` Indicate whether only protected and public classes and members are to be included in the scope processed.
`void` | `setPublic(boolean b)` Indicate whether only public classes and members are to be included in the scope processed.
`void` | `setSourcepath(Path src)` Specify where to find source file
`void` | `setUse(boolean b)`
`void` | `setWindowtitle(String title)` Set the title to be placed in the HTML <title> tag of the generated documentation.

Methods inherited from class Task
log, log, log, log, init, execute, maybeConfigure, getTaskName, getOwningTarget, setRuntimeConfigurableWrapper, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, reconfigure, perform, bindToOwner, clone, getLocation, getDescription, setLocation, setDescription, getProject, setProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class ProjectComponent
clone, log, log, getLocation, getDescription, setLocation, setDescription, getProject, setProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Groovydoc

    public Groovydoc()

Method Detail

### createLink

    public LinkArgument createLink()

  Create link to Javadoc/GroovyDoc output at the given URL.
  return:
    link argument to configure

### execute

    public void execute()

### setAuthor

    public void setAuthor(boolean author)

  If set to false, author will not be displayed. Currently not used.
  param:
    author new value

### setDestdir

    public void setDestdir(File dir)

  Set the directory where the Groovydoc output will be generated.
  param:
    dir the destination directory.

### setDoctitle

    public void setDoctitle(String htmlTitle)

  Set the title for the overview page.
  param:
    htmlTitle the html to use for the title.

### setFooter

    public void setFooter(String footer)

  Set the footer to place at the bottom of each generated html page.
  param:
    footer the footer value

### setHeader

    public void setHeader(String header)

  Specifies the header text to be placed at the top of each output file. The header will be placed to the right of the upper navigation bar. It may contain HTML tags and white space, though if it does, it must be enclosed in quotes. Any internal quotation marks within the header may have to be escaped.
  param:
    header the header value

### setOverview

    public void setOverview(def file)

  Specify the file containing the overview to be included in the generated documentation.
  param:
    file the overview file

### setPackage

    public void setPackage(boolean b)

  Indicate whether only package, protected and public classes and members are to be included in the scope processed. Currently not used.
  param:
    b true if scope includes package level classes and members

### setPackagenames

    public void setPackagenames(String packages)

  Set the package names to be processed.
  param:
    packages a comma separated list of packages specs (may be wildcarded).

### setPrivate

    public void setPrivate(boolean b)

  Indicate whether all classes and members are to be included in the scope processed.
  param:
    b true if scope is to be private level.

### setProtected

    public void setProtected(boolean b)

  Indicate whether only protected and public classes and members are to be included in the scope processed. Currently not used.
  param:
    b true if scope includes protected level classes and members

### setPublic

    public void setPublic(boolean b)

  Indicate whether only public classes and members are to be included in the scope processed. Currently not used.
  param:
    b true if scope only includes public level classes and members

### setSourcepath

    public void setSourcepath(Path src)

  Specify where to find source file
  param:
    src a Path instance containing the various source directories.

### setUse

    public void setUse(boolean b)

### setWindowtitle

    public void setWindowtitle(String title)

  Set the title to be placed in the HTML <title> tag of the generated documentation.
  param:
    title the window title to use.

Copyright © 2003-2009 The Codehaus. All rights reserved.